PETSc version 3.15.5
Fix/Edit manual page

# VecRestoreArrayReadF90

Restores a readonly vector to a usable state after a call to VecGetArrayReadF90().

### Synopsis

    VecRestoreArrayReadF90(Vec x,{Scalar, pointer :: xx_v(:)},integer ierr)

Logically Collective on Vec

### Input Parameters

| x | - vector
| xx_v | - the Fortran90 pointer to the array

### Output Parameter

| ierr | - error code

### Example of Usage

    #include <petsc/finclude/petscvec.h>
        use petscvec

        PetscScalar, pointer :: xx_v(:)
        ....
        call VecGetArrayReadF90(x,xx_v,ierr)
        a = xx_v(3)
        call VecRestoreArrayReadF90(x,xx_v,ierr)

### See Also

VecGetArrayReadF90(), VecGetArray(), VecRestoreArray(), VecGetArrayRead(), VecRestoreArrayRead(), VecRestoreArrayF90()

### Level

beginner

### Location

src/vec/vec/interface/rvector.c

### Examples

src/snes/tutorials/ex73f90t.F90.html
Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages